### A.2.3 slim Groebner bases

The command `slimgb` calls an implementation of an algorithm to compute Groebner bases which is designed for keeping the polynomials slim (short with small coefficients) during a Groebner basis computation. It provides, in particular, a fast algorithm for computing Groebner bases over function fields or over the rational numbers, but also in several other cases. The algorithm which is still under developement was developed in the diploma thesis of Michael Brickenstein. It has been published as `http://www.mathematik.uni-kl.de/~zca/Reports_on_ca/35/paper_35_full.ps.gz`.

In the example below (Groebner basis with respect to degree reverse lexicographic ordering over function field) `slimgb` is much faster than the `std` command.

    ring r=(32003,u1, u2, u3, u4),(x1, x2, x3, x4, x5, x6, x7),dp;
    timer=1;
    ideal i=
    -x4*u3+x5*u2,
    x1*u3+2*x2*u1-2*x2*u2-2*x3*u3-u1*u4+u2*u4,
    -2*x1*x5+4*x4*x6+4*x5*x7+x1*u3-2*x4*u1-2*x4*u4-2*x6*u2-2*x7*u3+u1*u2+u2*u4,
    -x1*x5+x1*x7-x4*u1+x4*u2-x4*u4+x5*u3+x6*u1-x6*u2+x6*u4-x7*u3,
    -x1*x4+x1*u1-x5*u1+x5*u4,
    -2*x1*x3+x1*u3-2*x2*u4+u1*u4+u2*u4,
    x1^2*u3+x1*u1*u2-x1*u2^2-x1*u3^2-u1*u3*u4+u3*u4^2;
    i=slimgb(i);

For detailed information and limitations see slimgb.

User manual for Singular version 4-0-3, 2016, generated by texi2html.